org.deidentifier.arx.common

## Class TupleWrapper

- java.lang.Object
- - org.deidentifier.arx.common.TupleWrapper

    public class TupleWrapper
    extends java.lang.Object

For hash tables

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`TupleWrapper(DataHandle handle, int[] indices, int row)` Creates a new instance
`TupleWrapper(DataHandleInternal handle, int[] indices, int row)` Creates a new instance
`TupleWrapper(DataHandleInternal handle, int[] indices, int row, boolean ignoreOutliers)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object other)`
`java.lang.String[]` `getValues()` Returns the associated entry
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TupleWrapper

    public TupleWrapper(DataHandle handle,
                        int[] indices,
                        int row)

Creates a new instance

Parameters:
  `handle` -
  `indices` -
  `row` -

#### TupleWrapper

    public TupleWrapper(DataHandleInternal handle,
                        int[] indices,
                        int row)

Creates a new instance

Parameters:
  `handle` -
  `indices` -
  `row` -

#### TupleWrapper

    public TupleWrapper(DataHandleInternal handle,
                        int[] indices,
                        int row,
                        boolean ignoreOutliers)

Creates a new instance

Parameters:
  `handle` -
  `indices` -
  `row` -
  `ignoreOutliers` - Needed to measure journalist and marketer risk

### Method Detail

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### getValues

    public java.lang.String[] getValues()

Returns the associated entry

Returns:

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`